Bug 120998 - # New port: games/etracer latest fork of tux racer
Summary: # New port: games/etracer latest fork of tux racer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-23 16:10 UTC by Peter Dunning
Modified: 2008-04-26 19:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Dunning 2008-02-23 16:10:02 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	etracer
#	etracer/Makefile
#	etracer/pkg-descr
#	etracer/pkg-plist
#	etracer/distinfo
#
echo c - etracer
mkdir -p etracer > /dev/null 2>&1
echo x - etracer/Makefile
sed 's/^X//' >etracer/Makefile << 'END-of-etracer/Makefile'
X# New ports collection makefile for:   extreme tux racer
X# Date created:        22 February 2008
X# Whom:                Peter Dunning
X#
X# $FreeBSD$
X#
X
XPORTNAME=		etracer
XPORTVERSION=		0.4
XCATEGORIES=		games
XMASTER_SITES=		${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	extremetuxracer/
XDISTNAME=		extremetuxracer-${DISTVERSIONPREFIX}${DISTVERSION}${DISTVERSIONSUFFIX}
X
XMAINTAINER=		peter_dunning@dsl.pipex.com
XCOMMENT=		The latest and greatest fork of the classic Tux Racer
X
XLIB_DEPENDS=		tcl85:${PORTSDIR}/lang/tcl85
X
XUSE_SDL=		mixer sdl
XUSE_GL=			yes
XUSE_GMAKE=		yes
XGNU_CONFIGURE=		yes
XCONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
XCONFIGURE_ARGS=		--prefix=${PREFIX} ${CONFIGURE_TARGET} --with-tcl=${PREFIX}/lib/tcl8.5 --with-tcl-inc=${PREFIX}/include/tcl8.5
X
X.include <bsd.port.mk>
END-of-etracer/Makefile
echo x - etracer/pkg-descr
sed 's/^X//' >etracer/pkg-descr << 'END-of-etracer/pkg-descr'
XThis is a port for Extreme Tux Racer, the latest fork of the classic Tux Racer,
Xwhich involves racing downhill as tux.
XExtreme Tux Racer contains many new courses, cups and other features.
X
XWWW: http://extremetuxracer.com/
END-of-etracer/pkg-descr
echo x - etracer/pkg-plist
sed 's/^X//' >etracer/pkg-plist << 'END-of-etracer/pkg-plist'
Xbin/etracer
Xshare/etracer/courses/contrib/doing/course.tcl
Xshare/etracer/courses/contrib/doing/elev.png
Xshare/etracer/courses/contrib/doing/preview.png
Xshare/etracer/courses/contrib/doing/terrain.png
Xshare/etracer/courses/contrib/doing/trees.png
Xshare/etracer/courses/course_idx.tcl
Xshare/etracer/courses/events/a-tux_racer/bumpy_ride/course.tcl
Xshare/etracer/courses/events/a-tux_racer/bumpy_ride/elev.png
Xshare/etracer/courses/events/a-tux_racer/bumpy_ride/preview.png
Xshare/etracer/courses/events/a-tux_racer/bumpy_ride/terrain.png
Xshare/etracer/courses/events/a-tux_racer/bumpy_ride/trees.png
Xshare/etracer/courses/events/a-tux_racer/bunny_hill/course.tcl
Xshare/etracer/courses/events/a-tux_racer/bunny_hill/elev.png
Xshare/etracer/courses/events/a-tux_racer/bunny_hill/preview.png
Xshare/etracer/courses/events/a-tux_racer/bunny_hill/terrain.png
Xshare/etracer/courses/events/a-tux_racer/bunny_hill/trees.png
Xshare/etracer/courses/events/a-tux_racer/cupicon.png
Xshare/etracer/courses/events/a-tux_racer/event.tcl
Xshare/etracer/courses/events/a-tux_racer/frozen_river/course.tcl
Xshare/etracer/courses/events/a-tux_racer/frozen_river/elev.png
Xshare/etracer/courses/events/a-tux_racer/frozen_river/preview.png
Xshare/etracer/courses/events/a-tux_racer/frozen_river/terrain.png
Xshare/etracer/courses/events/a-tux_racer/frozen_river/trees.png
Xshare/etracer/courses/events/a-tux_racer/herringrunicon.png
Xshare/etracer/courses/events/a-tux_racer/path_of_daggers/course.tcl
Xshare/etracer/courses/events/a-tux_racer/path_of_daggers/elev.png
Xshare/etracer/courses/events/a-tux_racer/path_of_daggers/preview.png
Xshare/etracer/courses/events/a-tux_racer/path_of_daggers/terrain.png
Xshare/etracer/courses/events/a-tux_racer/path_of_daggers/trees.png
Xshare/etracer/courses/events/a-tux_racer/twisty_slope/course.tcl
Xshare/etracer/courses/events/a-tux_racer/twisty_slope/elev.png
Xshare/etracer/courses/events/a-tux_racer/twisty_slope/preview.png
Xshare/etracer/courses/events/a-tux_racer/twisty_slope/terrain.png
Xshare/etracer/courses/events/a-tux_racer/twisty_slope/trees.png
Xshare/etracer/courses/events/b-herring_run/bumpy_ride/course.tcl
Xshare/etracer/courses/events/b-herring_run/bumpy_ride/elev.png
Xshare/etracer/courses/events/b-herring_run/bumpy_ride/preview.png
Xshare/etracer/courses/events/b-herring_run/bumpy_ride/terrain.png
Xshare/etracer/courses/events/b-herring_run/bumpy_ride/trees.png
Xshare/etracer/courses/events/b-herring_run/cupicon.png
Xshare/etracer/courses/events/b-herring_run/deadman/course.tcl
Xshare/etracer/courses/events/b-herring_run/deadman/elev.png
Xshare/etracer/courses/events/b-herring_run/deadman/preview.png
Xshare/etracer/courses/events/b-herring_run/deadman/terrain.png
Xshare/etracer/courses/events/b-herring_run/deadman/trees.png
Xshare/etracer/courses/events/b-herring_run/event.tcl
Xshare/etracer/courses/events/b-herring_run/hamburger_hill/course.tcl
Xshare/etracer/courses/events/b-herring_run/hamburger_hill/elev.png
Xshare/etracer/courses/events/b-herring_run/hamburger_hill/preview.png
Xshare/etracer/courses/events/b-herring_run/hamburger_hill/terrain.png
Xshare/etracer/courses/events/b-herring_run/hamburger_hill/trees.png
Xshare/etracer/courses/events/b-herring_run/hazzard_valley/course.tcl
Xshare/etracer/courses/events/b-herring_run/hazzard_valley/elev.png
Xshare/etracer/courses/events/b-herring_run/hazzard_valley/preview.png
Xshare/etracer/courses/events/b-herring_run/hazzard_valley/terrain.png
Xshare/etracer/courses/events/b-herring_run/hazzard_valley/trees.png
Xshare/etracer/courses/events/b-herring_run/herringrunicon.png
Xshare/etracer/courses/events/b-herring_run/high_road/course.tcl
Xshare/etracer/courses/events/b-herring_run/high_road/elev.png
Xshare/etracer/courses/events/b-herring_run/high_road/preview.png
Xshare/etracer/courses/events/b-herring_run/high_road/terrain.png
Xshare/etracer/courses/events/b-herring_run/high_road/trees.png
Xshare/etracer/courses/events/b-herring_run/ice_labyrinth/course.tcl
Xshare/etracer/courses/events/b-herring_run/ice_labyrinth/elev.png
Xshare/etracer/courses/events/b-herring_run/ice_labyrinth/preview.png
Xshare/etracer/courses/events/b-herring_run/ice_labyrinth/terrain.png
Xshare/etracer/courses/events/b-herring_run/ice_labyrinth/trees.png
Xshare/etracer/courses/events/b-herring_run/ive_got_a_woody/course.tcl
Xshare/etracer/courses/events/b-herring_run/ive_got_a_woody/elev.png
Xshare/etracer/courses/events/b-herring_run/ive_got_a_woody/preview.png
Xshare/etracer/courses/events/b-herring_run/ive_got_a_woody/terrain.png
Xshare/etracer/courses/events/b-herring_run/ive_got_a_woody/trees.png
Xshare/etracer/courses/events/b-herring_run/keep_it_up/course.tcl
Xshare/etracer/courses/events/b-herring_run/keep_it_up/elev.png
Xshare/etracer/courses/events/b-herring_run/keep_it_up/preview.png
Xshare/etracer/courses/events/b-herring_run/keep_it_up/terrain.png
Xshare/etracer/courses/events/b-herring_run/keep_it_up/trees.png
Xshare/etracer/courses/events/b-herring_run/mount_herring/course.tcl
Xshare/etracer/courses/events/b-herring_run/mount_herring/elev.png
Xshare/etracer/courses/events/b-herring_run/mount_herring/preview.png
Xshare/etracer/courses/events/b-herring_run/mount_herring/terrain.png
Xshare/etracer/courses/events/b-herring_run/mount_herring/trees.png
Xshare/etracer/courses/events/b-herring_run/mount_satan/course.tcl
Xshare/etracer/courses/events/b-herring_run/mount_satan/elev.png
Xshare/etracer/courses/events/b-herring_run/mount_satan/preview.png
Xshare/etracer/courses/events/b-herring_run/mount_satan/terrain.png
Xshare/etracer/courses/events/b-herring_run/mount_satan/trees.png
Xshare/etracer/courses/events/b-herring_run/penguins_cant_fly/course.tcl
Xshare/etracer/courses/events/b-herring_run/penguins_cant_fly/elev.png
Xshare/etracer/courses/events/b-herring_run/penguins_cant_fly/preview.png
Xshare/etracer/courses/events/b-herring_run/penguins_cant_fly/terrain.png
Xshare/etracer/courses/events/b-herring_run/penguins_cant_fly/trees.png
Xshare/etracer/courses/events/b-herring_run/ski_jump/course.tcl
Xshare/etracer/courses/events/b-herring_run/ski_jump/elev.png
Xshare/etracer/courses/events/b-herring_run/ski_jump/preview.png
Xshare/etracer/courses/events/b-herring_run/ski_jump/terrain.png
Xshare/etracer/courses/events/b-herring_run/ski_jump/trees.png
Xshare/etracer/courses/events/b-herring_run/skull_mountain/course.tcl
Xshare/etracer/courses/events/b-herring_run/skull_mountain/elev.png
Xshare/etracer/courses/events/b-herring_run/skull_mountain/preview.png
Xshare/etracer/courses/events/b-herring_run/skull_mountain/terrain.png
Xshare/etracer/courses/events/b-herring_run/skull_mountain/trees.png
Xshare/etracer/courses/events/b-herring_run/slalom/course.tcl
Xshare/etracer/courses/events/b-herring_run/slalom/elev.png
Xshare/etracer/courses/events/b-herring_run/slalom/preview.png
Xshare/etracer/courses/events/b-herring_run/slalom/terrain.png
Xshare/etracer/courses/events/b-herring_run/slalom/trees.png
Xshare/etracer/courses/events/b-herring_run/snow_valley/course.tcl
Xshare/etracer/courses/events/b-herring_run/snow_valley/elev.png
Xshare/etracer/courses/events/b-herring_run/snow_valley/preview.png
Xshare/etracer/courses/events/b-herring_run/snow_valley/terrain.png
Xshare/etracer/courses/events/b-herring_run/snow_valley/trees.png
Xshare/etracer/courses/events/b-herring_run/the_narrow_way/course.tcl
Xshare/etracer/courses/events/b-herring_run/the_narrow_way/elev.png
Xshare/etracer/courses/events/b-herring_run/the_narrow_way/preview.png
Xshare/etracer/courses/events/b-herring_run/the_narrow_way/terrain.png
Xshare/etracer/courses/events/b-herring_run/the_narrow_way/trees.png
Xshare/etracer/courses/events/b-herring_run/tux-toboggan_run/course.tcl
Xshare/etracer/courses/events/b-herring_run/tux-toboggan_run/elev.png
Xshare/etracer/courses/events/b-herring_run/tux-toboggan_run/preview.png
Xshare/etracer/courses/events/b-herring_run/tux-toboggan_run/terrain.png
Xshare/etracer/courses/events/b-herring_run/tux-toboggan_run/trees.png
Xshare/etracer/courses/events/c-mountain_mania/bobsled_ride/course.tcl
Xshare/etracer/courses/events/c-mountain_mania/bobsled_ride/elev.png
Xshare/etracer/courses/events/c-mountain_mania/bobsled_ride/preview.png
Xshare/etracer/courses/events/c-mountain_mania/bobsled_ride/terrain.png
Xshare/etracer/courses/events/c-mountain_mania/bobsled_ride/trees.png
Xshare/etracer/courses/events/c-mountain_mania/candy_lane/course.tcl
Xshare/etracer/courses/events/c-mountain_mania/candy_lane/elev.png
Xshare/etracer/courses/events/c-mountain_mania/candy_lane/preview.png
Xshare/etracer/courses/events/c-mountain_mania/candy_lane/terrain.png
Xshare/etracer/courses/events/c-mountain_mania/candy_lane/trees.png
Xshare/etracer/courses/events/c-mountain_mania/crazy_path/course.tcl
Xshare/etracer/courses/events/c-mountain_mania/crazy_path/elev.png
Xshare/etracer/courses/events/c-mountain_mania/crazy_path/preview.png
Xshare/etracer/courses/events/c-mountain_mania/crazy_path/terrain.png
Xshare/etracer/courses/events/c-mountain_mania/crazy_path/trees.png
Xshare/etracer/courses/events/c-mountain_mania/cupicon.png
Xshare/etracer/courses/events/c-mountain_mania/event.tcl
Xshare/etracer/courses/events/c-mountain_mania/herringrunicon.png
Xshare/etracer/courses/events/c-mountain_mania/hey_tux/course.tcl
Xshare/etracer/courses/events/c-mountain_mania/hey_tux/elev.rgb
Xshare/etracer/courses/events/c-mountain_mania/hey_tux/preview.rgb
Xshare/etracer/courses/events/c-mountain_mania/hey_tux/terrain.rgb
Xshare/etracer/courses/events/c-mountain_mania/hey_tux/trees.rgb
Xshare/etracer/courses/events/c-mountain_mania/hippo_run/course.tcl
Xshare/etracer/courses/events/c-mountain_mania/hippo_run/elev.png
Xshare/etracer/courses/events/c-mountain_mania/hippo_run/preview.png
Xshare/etracer/courses/events/c-mountain_mania/hippo_run/terrain.png
Xshare/etracer/courses/events/c-mountain_mania/hippo_run/trees.png
Xshare/etracer/courses/events/c-mountain_mania/ice_pipeline/course.tcl
Xshare/etracer/courses/events/c-mountain_mania/ice_pipeline/elev.rgb
Xshare/etracer/courses/events/c-mountain_mania/ice_pipeline/preview.png
Xshare/etracer/courses/events/c-mountain_mania/ice_pipeline/terrain.rgb
Xshare/etracer/courses/events/c-mountain_mania/ice_pipeline/trees.rgb
Xshare/etracer/courses/events/c-mountain_mania/in_search_of_vodka/course.tcl
Xshare/etracer/courses/events/c-mountain_mania/in_search_of_vodka/elev.rgb
Xshare/etracer/courses/events/c-mountain_mania/in_search_of_vodka/preview.rgb
Xshare/etracer/courses/events/c-mountain_mania/in_search_of_vodka/terrain.rgb
Xshare/etracer/courses/events/c-mountain_mania/in_search_of_vodka/trees.rgb
Xshare/etracer/courses/events/c-mountain_mania/merry_go_round/course.tcl
Xshare/etracer/courses/events/c-mountain_mania/merry_go_round/elev.png
Xshare/etracer/courses/events/c-mountain_mania/merry_go_round/preview.png
Xshare/etracer/courses/events/c-mountain_mania/merry_go_round/terrain.png
Xshare/etracer/courses/events/c-mountain_mania/merry_go_round/trees.png
Xshare/etracer/courses/events/c-mountain_mania/nature_stroll/course.tcl
Xshare/etracer/courses/events/c-mountain_mania/nature_stroll/elev.png
Xshare/etracer/courses/events/c-mountain_mania/nature_stroll/preview.png
Xshare/etracer/courses/events/c-mountain_mania/nature_stroll/terrain.png
Xshare/etracer/courses/events/c-mountain_mania/nature_stroll/trees.png
Xshare/etracer/courses/events/c-mountain_mania/slippy_slidey/course.tcl
Xshare/etracer/courses/events/c-mountain_mania/slippy_slidey/elev.png
Xshare/etracer/courses/events/c-mountain_mania/slippy_slidey/preview.png
Xshare/etracer/courses/events/c-mountain_mania/slippy_slidey/terrain.png
Xshare/etracer/courses/events/c-mountain_mania/slippy_slidey/trees.png
Xshare/etracer/courses/events/c-mountain_mania/volcanoes/course.tcl
Xshare/etracer/courses/events/c-mountain_mania/volcanoes/elev.png
Xshare/etracer/courses/events/c-mountain_mania/volcanoes/preview.png
Xshare/etracer/courses/events/c-mountain_mania/volcanoes/terrain.png
Xshare/etracer/courses/events/c-mountain_mania/volcanoes/trees.png
Xshare/etracer/courses/events/d-niehoff_experience/challenge_one/course.tcl
Xshare/etracer/courses/events/d-niehoff_experience/challenge_one/elev.png
Xshare/etracer/courses/events/d-niehoff_experience/challenge_one/preview.png
Xshare/etracer/courses/events/d-niehoff_experience/challenge_one/terrain.png
Xshare/etracer/courses/events/d-niehoff_experience/challenge_one/trees.png
Xshare/etracer/courses/events/d-niehoff_experience/chinese_wall/course.tcl
Xshare/etracer/courses/events/d-niehoff_experience/chinese_wall/elev.png
Xshare/etracer/courses/events/d-niehoff_experience/chinese_wall/preview.png
Xshare/etracer/courses/events/d-niehoff_experience/chinese_wall/terrain.png
Xshare/etracer/courses/events/d-niehoff_experience/chinese_wall/trees.png
Xshare/etracer/courses/events/d-niehoff_experience/cupicon.png
Xshare/etracer/courses/events/d-niehoff_experience/event.tcl
Xshare/etracer/courses/events/d-niehoff_experience/explore_mountains/course.tcl
Xshare/etracer/courses/events/d-niehoff_experience/explore_mountains/elev.png
Xshare/etracer/courses/events/d-niehoff_experience/explore_mountains/preview.png
Xshare/etracer/courses/events/d-niehoff_experience/explore_mountains/terrain.png
Xshare/etracer/courses/events/d-niehoff_experience/explore_mountains/trees.png
Xshare/etracer/courses/events/d-niehoff_experience/frozen_lakes/course.tcl
Xshare/etracer/courses/events/d-niehoff_experience/frozen_lakes/elev.png
Xshare/etracer/courses/events/d-niehoff_experience/frozen_lakes/preview.png
Xshare/etracer/courses/events/d-niehoff_experience/frozen_lakes/terrain.png
Xshare/etracer/courses/events/d-niehoff_experience/frozen_lakes/trees.png
Xshare/etracer/courses/events/d-niehoff_experience/herringrunicon.png
Xshare/etracer/courses/events/d-niehoff_experience/in_search_of_the_holy_grail/course.tcl
Xshare/etracer/courses/events/d-niehoff_experience/in_search_of_the_holy_grail/elev.png
Xshare/etracer/courses/events/d-niehoff_experience/in_search_of_the_holy_grail/preview.png
Xshare/etracer/courses/events/d-niehoff_experience/in_search_of_the_holy_grail/terrain.png
Xshare/etracer/courses/events/d-niehoff_experience/in_search_of_the_holy_grail/trees.png
Xshare/etracer/courses/events/d-niehoff_experience/secret_valleys/course.tcl
Xshare/etracer/courses/events/d-niehoff_experience/secret_valleys/elev.png
Xshare/etracer/courses/events/d-niehoff_experience/secret_valleys/preview.png
Xshare/etracer/courses/events/d-niehoff_experience/secret_valleys/terrain.png
Xshare/etracer/courses/events/d-niehoff_experience/secret_valleys/trees.png
Xshare/etracer/courses/events/d-niehoff_experience/tux_at_home/course.tcl
Xshare/etracer/courses/events/d-niehoff_experience/tux_at_home/elev.png
Xshare/etracer/courses/events/d-niehoff_experience/tux_at_home/preview.png
Xshare/etracer/courses/events/d-niehoff_experience/tux_at_home/terrain.png
Xshare/etracer/courses/events/d-niehoff_experience/tux_at_home/trees.png
Xshare/etracer/courses/events/d-niehoff_experience/wild_mountains/course.tcl
Xshare/etracer/courses/events/d-niehoff_experience/wild_mountains/elev.png
Xshare/etracer/courses/events/d-niehoff_experience/wild_mountains/preview.png
Xshare/etracer/courses/events/d-niehoff_experience/wild_mountains/terrain.png
Xshare/etracer/courses/events/d-niehoff_experience/wild_mountains/trees.png
Xshare/etracer/courses/themes/common.tcl
Xshare/etracer/courses/themes/conditions/common/cloudyback.png
Xshare/etracer/courses/themes/conditions/common/cloudybottom.png
Xshare/etracer/courses/themes/conditions/common/cloudyfront.png
Xshare/etracer/courses/themes/conditions/common/cloudyleft.png
Xshare/etracer/courses/themes/conditions/common/cloudyright.png
Xshare/etracer/courses/themes/conditions/common/cloudytop.png
Xshare/etracer/courses/themes/conditions/common/conditions.tcl
Xshare/etracer/courses/themes/conditions/common/envmap.png
Xshare/etracer/courses/themes/conditions/common/evening_light.tcl
Xshare/etracer/courses/themes/conditions/common/eveningback.png
Xshare/etracer/courses/themes/conditions/common/eveningbottom.png
Xshare/etracer/courses/themes/conditions/common/eveningenv.png
Xshare/etracer/courses/themes/conditions/common/eveningfront.png
Xshare/etracer/courses/themes/conditions/common/eveningleft.png
Xshare/etracer/courses/themes/conditions/common/eveningright.png
Xshare/etracer/courses/themes/conditions/common/eveningtop.png
Xshare/etracer/courses/themes/conditions/common/foggy_light.tcl
Xshare/etracer/courses/themes/conditions/common/night_light.tcl
Xshare/etracer/courses/themes/conditions/common/nightback.png
Xshare/etracer/courses/themes/conditions/common/nightbottom.png
Xshare/etracer/courses/themes/conditions/common/nightenv.png
Xshare/etracer/courses/themes/conditions/common/nightfront.png
Xshare/etracer/courses/themes/conditions/common/nightleft.png
Xshare/etracer/courses/themes/conditions/common/nightright.png
Xshare/etracer/courses/themes/conditions/common/nighttop.png
Xshare/etracer/courses/themes/conditions/common/sunny_light.tcl
Xshare/etracer/courses/themes/conditions/common/sunnyback.png
Xshare/etracer/courses/themes/conditions/common/sunnybottom.png
Xshare/etracer/courses/themes/conditions/common/sunnyfront.png
Xshare/etracer/courses/themes/conditions/common/sunnyleft.png
Xshare/etracer/courses/themes/conditions/common/sunnyright.png
Xshare/etracer/courses/themes/conditions/common/sunnytop.png
Xshare/etracer/courses/themes/huds/common/huds.tcl
Xshare/etracer/courses/themes/items/common/finish.png
Xshare/etracer/courses/themes/items/common/flag.png
Xshare/etracer/courses/themes/items/common/herring_standard.png
Xshare/etracer/courses/themes/items/common/items.tcl
Xshare/etracer/courses/themes/items/common/start.png
Xshare/etracer/courses/themes/items/flags/flag2.png
Xshare/etracer/courses/themes/items/flags/items.tcl
Xshare/etracer/courses/themes/items/herrings/herring_dead.png
Xshare/etracer/courses/themes/items/herrings/herring_green.png
Xshare/etracer/courses/themes/items/herrings/herring_red.png
Xshare/etracer/courses/themes/items/herrings/items.tcl
Xshare/etracer/courses/themes/items/herrings/star.png
Xshare/etracer/courses/themes/items/stuff/items.tcl
Xshare/etracer/courses/themes/items/stuff/life.png
Xshare/etracer/courses/themes/models/common/models.tcl
Xshare/etracer/courses/themes/models/common/shrub.ac
Xshare/etracer/courses/themes/models/common/shrub.png
Xshare/etracer/courses/themes/models/common/tree.ac
Xshare/etracer/courses/themes/models/common/tree.png
Xshare/etracer/courses/themes/models/common/tree_barren.ac
Xshare/etracer/courses/themes/models/common/tree_barren.png
Xshare/etracer/courses/themes/models/stuff/barrier.ac
Xshare/etracer/courses/themes/models/stuff/barrier.png
Xshare/etracer/courses/themes/models/stuff/models.tcl
Xshare/etracer/courses/themes/models/trees/models.tcl
Xshare/etracer/courses/themes/models/trees/tree_xmas.ac
Xshare/etracer/courses/themes/models/trees/tree_xmas.png
Xshare/etracer/courses/themes/ppracer.tcl
Xshare/etracer/courses/themes/terrains/add/road.png
Xshare/etracer/courses/themes/terrains/add/speed.png
Xshare/etracer/courses/themes/terrains/add/terrains.tcl
Xshare/etracer/courses/themes/terrains/common/buttprint.png
Xshare/etracer/courses/themes/terrains/common/buttstart.png
Xshare/etracer/courses/themes/terrains/common/buttstop.png
Xshare/etracer/courses/themes/terrains/common/ice.png
Xshare/etracer/courses/themes/terrains/common/rock.png
Xshare/etracer/courses/themes/terrains/common/snow.png
Xshare/etracer/courses/themes/terrains/common/snowparticles.png
Xshare/etracer/courses/themes/terrains/common/terrains.tcl
Xshare/etracer/courses/themes/terrains/ice/greenice.png
Xshare/etracer/courses/themes/terrains/ice/hardice.png
Xshare/etracer/courses/themes/terrains/ice/terrains.tcl
Xshare/etracer/courses/themes/terrains/lava/lava.png
Xshare/etracer/courses/themes/terrains/lava/lavastone.png
Xshare/etracer/courses/themes/terrains/lava/terrains.tcl
Xshare/etracer/courses/themes/terrains/mud/mud.png
Xshare/etracer/courses/themes/terrains/mud/mudparticles.png
Xshare/etracer/courses/themes/terrains/mud/mudprint.png
Xshare/etracer/courses/themes/terrains/mud/mudstart.png
Xshare/etracer/courses/themes/terrains/mud/mudstop.png
Xshare/etracer/courses/themes/terrains/mud/terrains.tcl
Xshare/etracer/courses/themes/terrains/rock/snowyrock.png
Xshare/etracer/courses/themes/terrains/rock/terrains.tcl
Xshare/etracer/courses/themes/terrains/sand/redsand.png
Xshare/etracer/courses/themes/terrains/sand/sand.png
Xshare/etracer/courses/themes/terrains/sand/terrains.tcl
Xshare/etracer/courses/themes/terrains/snow/buttprint.png
Xshare/etracer/courses/themes/terrains/snow/buttstart.png
Xshare/etracer/courses/themes/terrains/snow/buttstop.png
Xshare/etracer/courses/themes/terrains/snow/dirtsnow.png
Xshare/etracer/courses/themes/terrains/snow/dirtsnowparticles.png
Xshare/etracer/courses/themes/terrains/snow/dsnow.png
Xshare/etracer/courses/themes/terrains/snow/dsnow2.png
Xshare/etracer/courses/themes/terrains/snow/snowparticles.png
Xshare/etracer/courses/themes/terrains/snow/snowygrass.png
Xshare/etracer/courses/themes/terrains/snow/stsnow1.png
Xshare/etracer/courses/themes/terrains/snow/stsnow2.png
Xshare/etracer/courses/themes/terrains/snow/terrains.tcl
Xshare/etracer/etracer_init.tcl
Xshare/etracer/fonts/PaperCuts20.ttf
Xshare/etracer/fonts/PaperCuts_outline.ttf
Xshare/etracer/models.tcl
Xshare/etracer/music/credits1-cp.it
Xshare/etracer/music/options1-jt.it
Xshare/etracer/music/race1-jt.it
Xshare/etracer/music/readme
Xshare/etracer/music/start1-jt.it
Xshare/etracer/music/wonrace1-jt.it
Xshare/etracer/objects.png
Xshare/etracer/sounds/fish_pickup1.wav
Xshare/etracer/sounds/fish_pickup2.wav
Xshare/etracer/sounds/fish_pickup3.wav
Xshare/etracer/sounds/tux_hit_tree1.wav
Xshare/etracer/sounds/tux_on_ice1.wav
Xshare/etracer/sounds/tux_on_rock1.wav
Xshare/etracer/sounds/tux_on_snow1.wav
Xshare/etracer/terrains.png
Xshare/etracer/textures/checkmark.png
Xshare/etracer/textures/conditions_button.png
Xshare/etracer/textures/energymask.png
Xshare/etracer/textures/gaugeenergymask.png
Xshare/etracer/textures/gaugeoutline.png
Xshare/etracer/textures/gaugespeedmask.png
Xshare/etracer/textures/herringicon.png
Xshare/etracer/textures/listbox_arrows.png
Xshare/etracer/textures/mask_outline.png
Xshare/etracer/textures/mask_outline2.png
Xshare/etracer/textures/menu_bottom_left.png
Xshare/etracer/textures/menu_bottom_right.png
Xshare/etracer/textures/menu_title.png
Xshare/etracer/textures/menu_title_small.png
Xshare/etracer/textures/menu_top_left.png
Xshare/etracer/textures/menu_top_right.png
Xshare/etracer/textures/mirror_button.png
Xshare/etracer/textures/mouse_cursor.png
Xshare/etracer/textures/noicon.png
Xshare/etracer/textures/nopreview.png
Xshare/etracer/textures/snow_button.png
Xshare/etracer/textures/snowparticles.png
Xshare/etracer/textures/speedmask.png
Xshare/etracer/textures/splash.png
Xshare/etracer/textures/splash_small.png
Xshare/etracer/textures/timeicon.png
Xshare/etracer/textures/tuxlife.png
Xshare/etracer/textures/wind_button.png
Xshare/etracer/translations/de_DE.tcl
Xshare/etracer/translations/en_GB.tcl
Xshare/etracer/translations/es_ES.tcl
Xshare/etracer/translations/eu_ES.tcl
Xshare/etracer/translations/fi_FI.tcl
Xshare/etracer/translations/fr_FR.tcl
Xshare/etracer/translations/it_IT.tcl
Xshare/etracer/translations/languages.tcl
Xshare/etracer/translations/nb_NO.tcl
Xshare/etracer/translations/nl_NL.tcl
Xshare/etracer/translations/nn_NO.tcl
Xshare/etracer/translations/pl_PL.tcl
Xshare/etracer/translations/pt_PT.tcl
Xshare/etracer/translations/ro_RO.tcl
Xshare/etracer/translations/ru_RU.tcl
Xshare/etracer/translations/sk_SK.tcl
Xshare/etracer/translations/sv_SE.tcl
Xshare/etracer/tux.tcl
Xshare/etracer/tux_snowboard.tcl
Xshare/etracer/tux_walk.tcl
X@dirrm share/etracer/translations
X@dirrm share/etracer/textures
X@dirrm share/etracer/sounds
X@dirrm share/etracer/music
X@dirrm share/etracer/fonts
X@dirrm share/etracer/courses/themes/terrains/snow
X@dirrm share/etracer/courses/themes/terrains/sand
X@dirrm share/etracer/courses/themes/terrains/rock
X@dirrm share/etracer/courses/themes/terrains/mud
X@dirrm share/etracer/courses/themes/terrains/lava
X@dirrm share/etracer/courses/themes/terrains/ice
X@dirrm share/etracer/courses/themes/terrains/common
X@dirrm share/etracer/courses/themes/terrains/add
X@dirrm share/etracer/courses/themes/terrains
X@dirrm share/etracer/courses/themes/models/trees
X@dirrm share/etracer/courses/themes/models/stuff
X@dirrm share/etracer/courses/themes/models/common
X@dirrm share/etracer/courses/themes/models
X@dirrm share/etracer/courses/themes/items/stuff
X@dirrm share/etracer/courses/themes/items/herrings
X@dirrm share/etracer/courses/themes/items/flags
X@dirrm share/etracer/courses/themes/items/common
X@dirrm share/etracer/courses/themes/items
X@dirrm share/etracer/courses/themes/huds/common
X@dirrm share/etracer/courses/themes/huds
X@dirrm share/etracer/courses/themes/conditions/common
X@dirrm share/etracer/courses/themes/conditions
X@dirrm share/etracer/courses/themes
X@dirrm share/etracer/courses/events/d-niehoff_experience/wild_mountains
X@dirrm share/etracer/courses/events/d-niehoff_experience/tux_at_home
X@dirrm share/etracer/courses/events/d-niehoff_experience/secret_valleys
X@dirrm share/etracer/courses/events/d-niehoff_experience/in_search_of_the_holy_grail
X@dirrm share/etracer/courses/events/d-niehoff_experience/frozen_lakes
X@dirrm share/etracer/courses/events/d-niehoff_experience/explore_mountains
X@dirrm share/etracer/courses/events/d-niehoff_experience/chinese_wall
X@dirrm share/etracer/courses/events/d-niehoff_experience/challenge_one
X@dirrm share/etracer/courses/events/d-niehoff_experience
X@dirrm share/etracer/courses/events/c-mountain_mania/volcanoes
X@dirrm share/etracer/courses/events/c-mountain_mania/slippy_slidey
X@dirrm share/etracer/courses/events/c-mountain_mania/nature_stroll
X@dirrm share/etracer/courses/events/c-mountain_mania/merry_go_round
X@dirrm share/etracer/courses/events/c-mountain_mania/in_search_of_vodka
X@dirrm share/etracer/courses/events/c-mountain_mania/ice_pipeline
X@dirrm share/etracer/courses/events/c-mountain_mania/hippo_run
X@dirrm share/etracer/courses/events/c-mountain_mania/hey_tux
X@dirrm share/etracer/courses/events/c-mountain_mania/crazy_path
X@dirrm share/etracer/courses/events/c-mountain_mania/candy_lane
X@dirrm share/etracer/courses/events/c-mountain_mania/bobsled_ride
X@dirrm share/etracer/courses/events/c-mountain_mania
X@dirrm share/etracer/courses/events/b-herring_run/tux-toboggan_run
X@dirrm share/etracer/courses/events/b-herring_run/the_narrow_way
X@dirrm share/etracer/courses/events/b-herring_run/snow_valley
X@dirrm share/etracer/courses/events/b-herring_run/slalom
X@dirrm share/etracer/courses/events/b-herring_run/skull_mountain
X@dirrm share/etracer/courses/events/b-herring_run/ski_jump
X@dirrm share/etracer/courses/events/b-herring_run/penguins_cant_fly
X@dirrm share/etracer/courses/events/b-herring_run/mount_satan
X@dirrm share/etracer/courses/events/b-herring_run/mount_herring
X@dirrm share/etracer/courses/events/b-herring_run/keep_it_up
X@dirrm share/etracer/courses/events/b-herring_run/ive_got_a_woody
X@dirrm share/etracer/courses/events/b-herring_run/ice_labyrinth
X@dirrm share/etracer/courses/events/b-herring_run/high_road
X@dirrm share/etracer/courses/events/b-herring_run/hazzard_valley
X@dirrm share/etracer/courses/events/b-herring_run/hamburger_hill
X@dirrm share/etracer/courses/events/b-herring_run/deadman
X@dirrm share/etracer/courses/events/b-herring_run/bumpy_ride
X@dirrm share/etracer/courses/events/b-herring_run
X@dirrm share/etracer/courses/events/a-tux_racer/twisty_slope
X@dirrm share/etracer/courses/events/a-tux_racer/path_of_daggers
X@dirrm share/etracer/courses/events/a-tux_racer/frozen_river
X@dirrm share/etracer/courses/events/a-tux_racer/bunny_hill
X@dirrm share/etracer/courses/events/a-tux_racer/bumpy_ride
X@dirrm share/etracer/courses/events/a-tux_racer
X@dirrm share/etracer/courses/events
X@dirrm share/etracer/courses/contrib/doing
X@dirrm share/etracer/courses/contrib
X@dirrm share/etracer/courses
X@dirrm share/etracer
END-of-etracer/pkg-plist
echo x - etracer/distinfo
sed 's/^X//' >etracer/distinfo << 'END-of-etracer/distinfo'
XMD5 (extremetuxracer-0.4.tar.gz) = 6830eb4e1ca7c5a541f286ded3853f9f
XSHA256 (extremetuxracer-0.4.tar.gz) = 5e4057f90e6854e774f251f189b0e676cfd7e2f15779c75544c9ac5b8e30273d
XSIZE (extremetuxracer-0.4.tar.gz) = 28749072
END-of-etracer/distinfo
exit
Comment 1 Martin Wilke freebsd_committer 2008-02-23 19:09:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2008-04-26 18:49:46 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2008-04-26 18:50:02 UTC
miwi        2008-04-26 17:49:57 UTC

  FreeBSD ports repository

  Modified files:
    games                Makefile 
  Added files:
    games/etracer        Makefile distinfo pkg-descr pkg-plist 
  Log:
  This is a port for Extreme Tux Racer, the latest fork of the classic Tux Racer,
  which involves racing downhill as tux.
  Extreme Tux Racer contains many new courses, cups and other features.
  
  WWW: http://extremetuxracer.com/
  
  PR:             ports/120998
  Submitted by:   Peter Dunning
  
  Revision  Changes    Path
  1.1195    +1 -0      ports/games/Makefile
  1.1       +31 -0     ports/games/etracer/Makefile (new)
  1.1       +3 -0      ports/games/etracer/distinfo (new)
  1.1       +5 -0      ports/games/etracer/pkg-descr (new)
  1.1       +471 -0    ports/games/etracer/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"